Storyden
Admin

Admin Theme Asset Upload

Upload an immutable custom theme stylesheet or script.

POST/admin/theme/assets

Upload an immutable custom theme stylesheet or script.

Authorization

storyden-session<token>

In: cookie

Query Parameters

filename?string

The client-provided file name for the asset.

Header Parameters

Content-Length*integer

Body content length in bytes.

Request Body

application/octet-stream

Upload a file.

TypeScript Definitions

Use the request body type in TypeScript.

body?file
Formatbinary

Response Body

application/json

application/json

curl -X POST "https://example.com/admin/theme/assets" \  -H "Content-Length: 0" \  -H "Content-Type: application/octet-stream" \  -d 'string'
{  "id": "string",  "filename": "string",  "path": "string",  "mime_type": "text/css",  "size": 1,  "integrity": "string"}